package com.sf._02_arrays._02_search;

public class Student implements Comparable<Student> {
    private String name;
    private Integer  age;
    private Double score;

    public Student() {
    }

    public Student(String name, Integer age, Double score) {
        this.name = name;
        this.age = age;
        this.score = score;
    }

    /**
     * 获取
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * 设置
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取
     * @return age
     */
    public Integer getAge() {
        return age;
    }

    /**
     * 设置
     * @param age
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     * 获取
     * @return score
     */
    public Double getScore() {
        return score;
    }

    /**
     * 设置
     * @param score
     */
    public void setScore(Double score) {
        this.score = score;
    }

    public String toString() {
        return "Student{name = " + name + ", age = " + age + ", score = " + score + "}";
    }

    @Override
    public int compareTo(Student o) {
        return (int) (o.getScore() - this.getScore());
    }
}
